<template>
  <div></div>
</template>

<script>
export default {
  name: "qrcode",
  created() {
    // alert(1);
    if (window.android !== window.androidundefined) {
      const res = window.android.scan(); // 这是一个json字符串
      sessionStorage.setItem("ZJCD-UserInfo", res);
      this.userInfo = JSON.parse(res);
    } else if (window.webkit) {
      window.webkit && window.webkit.messageHandlers.startScan.postMessage('startScan');
    }
  },
};
</script>

<style></style>
